CVE-2020-25032

NameCVE-2020-25032
DescriptionAn issue was discovered in Flask-CORS (aka CORS Middleware for Flask) before 3.0.9. It allows ../ directory traversal to access private resources because resource matching does not ensure that pathnames are in a canonical format.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-4775-1
NVD severitymedium
Debian Bugs969362

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
python-flask-cors (PTS)buster3.0.7-1vulnerable
buster (security)3.0.7-1+deb10u1fixed
sid3.0.8-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
python-flask-corssourcebuster3.0.7-1+deb10u1DSA-4775-1
python-flask-corssource(unstable)(unfixed)969362

Notes

https://github.com/corydolphin/flask-cors/commit/67c4b2cc98ae87cf1fa7df4f97fd81b40c79b895

Search for package or bug name: Reporting problems